{
"message": "Attempted to perform an unauthorized operation."
}
{
"message": "Unable to find an entity with the provided data."
}
Customers
Delete Customer Address
Removes a saved billing or shipping address associated with a specific customer profile.
This is typically used when a customer no longer uses a particular address or wishes to replace it.
Only the specified address is removed — the customer profile and other addresses (if any) remain intact.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Introduction \u0026 Quick Start","colors":{"primary":"#0070e0","light":"#0070e0","dark":"#0070e0"},"logo":{"light":"https://mintcdn.com/revolv3/Zevkr_Aqagg8mPcq/logo/normallogo.png?fit=max\u0026auto=format\u0026n=Zevkr_Aqagg8mPcq\u0026q=85\u0026s=fd4c62503540a031e3c6c968fad23f13","dark":"https://mintcdn.com/revolv3/dVOZNq0ooDKRts06/logo/darklogo.png?fit=max\u0026auto=format\u0026n=dVOZNq0ooDKRts06\u0026q=85\u0026s=fcf27915d3b41117f9ebeabfe6198322"},"favicon":"https://mintcdn.com/revolv3/UvfMtv_6fKeEgTof/e9ea213-favicon.svg?fit=max\u0026auto=format\u0026n=UvfMtv_6fKeEgTof\u0026q=85\u0026s=a6a23b31eb7fe0a95654625f1d3461b7","api":{"playground":{"display":"interactive"}},"seo":{"metatags":{"canonical":"https://docs.revolv3.com"}},"integrations":{"telemetry":{"enabled":true}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"revolv3","hasAudioNarration":false,"actualSubdomain":"revolv3","customDomains":["docs.revolv3.com"],"gitSource":{"type":"github","owner":"revolv3-dev","repo":"mintlify-revolv3-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae37d43bf26c43eb731973f","collectionId":"8de06812-a1bb-43f6-8c11-51e69eb972f5","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae37d43bf26c43eb731973f"},"feedback":{"edits":true,"issues":true,"thumbs":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae37d43bf26c43eb731973f","clientVersion":"0.0.4039","searchFilterCounts":[{"language":"default","tag":"Guides","count":46},{"language":"default","tag":"API Reference","count":43},{"language":"default","tag":"Core Concepts \u0026 Data Models","count":14},{"language":"default","tag":"Integration Flows","count":10},{"language":"default","tag":"Customers","count":10},{"language":"default","tag":"Subscriptions","count":10},{"language":"default","tag":"Payment Method","count":6},{"language":"default","tag":"PaymentMethod","count":6},{"language":"default","tag":"Payments","count":6},{"language":"default","tag":"Invoice","count":5}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/customers/delete-customer-address","slug":"/api-reference/customers/delete-customer-address","pageMetadata":{"title":"Delete Customer Address","description":"Removes a **saved billing or shipping address** associated with a specific customer profile.\r\nThis is typically used when a customer no longer uses a particular address or wishes to replace it.\r\nOnly the specified address is removed — the customer profile and other addresses (if any) remain intact.","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json delete /api/Customers/{customerId}/address/{addressId}","href":"/api-reference/customers/delete-customer-address","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Removes a \", _jsx(_components.strong, {\n children: \"saved billing or shipping address\"\n }), \" associated with a specific customer profile.\\r\\nThis is typically used when a customer no longer uses a particular address or wishes to replace it.\\r\\nOnly the specified address is removed — the customer profile and other addresses (if any) remain intact.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Delete Customer Address","description":"Removes a **saved billing or shipping address** associated with a specific customer profile.\r\nThis is typically used when a customer no longer uses a particular address or wishes to replace it.\r\nOnly the specified address is removed — the customer profile and other addresses (if any) remain intact.","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json delete /api/Customers/{customerId}/address/{addressId}","href":"/api-reference/customers/delete-customer-address","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/revolv3/b2e6669526e8a41b/scripts/fix-swagger-auth.js"],"openApiReferenceData":{"operation":{"tags":["Customers"],"summary":"Delete Customer Address","description":"Removes a **saved billing or shipping address** associated with a specific customer profile.\r\nThis is typically used when a customer no longer uses a particular address or wishes to replace it.\r\nOnly the specified address is removed — the customer profile and other addresses (if any) remain intact.","parameters":["84ad6c18-9c4d-4b8f-a38a-dc346653414d","85b7e540-c99f-4723-9949-3acc9362bc5b"],"responses":{"200":"7c67d10c-4ca1-424a-9b2d-d99c559dc6a3","401":"141a3b5a-dc1e-468c-a170-e7e5cd73f3b9","404":"7be3498a-caba-4718-b11c-76555fc7830f"},"security":["42dea2c2-2e5f-437b-8e24-f4101c9318dd"],"method":"delete","type":"path","servers":["334e6eb5-634d-46b6-90d2-b0f4797cf87a"],"path":"/api/Customers/{customerId}/address/{addressId}","baseUrlOptions":["https://api-sandbox.revolv3.com"],"title":"Delete Customer Address","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"84ad6c18-9c4d-4b8f-a38a-dc346653414d":{"name":"customerId","in":"path","required":true,"schema":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","isRequired":true,"uniqueKey":"","typeLabel":"integer\u003cint64>"}},"85b7e540-c99f-4723-9949-3acc9362bc5b":{"name":"addressId","in":"path","required":true,"schema":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","isRequired":true,"uniqueKey":"","typeLabel":"integer\u003cint64>"}}},"responses":{"7c67d10c-4ca1-424a-9b2d-d99c559dc6a3":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"type":"object","properties":{"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].subscriptionId","typeLabel":"integer\u003cint64>"},"customerId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].customerId","typeLabel":"integer\u003cint64>"},"merchantSubscriptionRefId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].merchantSubscriptionRefId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].merchantSubscriptionRefId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].merchantSubscriptionRefId","typeLabel":"string | null"},"networkTransactionId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].networkTransactionId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].networkTransactionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].networkTransactionId","typeLabel":"string | null"},"billingIntervalType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingIntervalType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingIntervalType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingIntervalType","typeLabel":"string | null"},"billingIntervalCount":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingIntervalCount","typeLabel":"integer\u003cint32>"},"subscriptionStatusType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].subscriptionStatusType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].subscriptionStatusType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].subscriptionStatusType","typeLabel":"string | null"},"subscriptionCancelType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].subscriptionCancelType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].subscriptionCancelType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].subscriptionCancelType","typeLabel":"string | null"},"initialBillDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].initialBillDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].initialBillDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].initialBillDate","typeLabel":"string | null"},"nextBillDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].nextBillDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].nextBillDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].nextBillDate","typeLabel":"string | null"},"taxAddress":{"type":"object","properties":{"addressId":{"type":"integer","description":"The unique identifier of the address.","format":"int64","uniqueKey":"items.[INDEX].taxAddress.addressId","typeLabel":"integer\u003cint64>"},"addressLine1":{"oneOf":[{"maxLength":40,"minLength":2,"type":"string","description":"Address.","uniqueKey":"items.[INDEX].taxAddress.addressLine1.oneOf.0","typeLabel":"string"},{"maxLength":40,"minLength":2,"type":"null","description":"Address.","uniqueKey":"items.[INDEX].taxAddress.addressLine1.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.addressLine1","typeLabel":"string | null"},"addressLine2":{"maxLength":40,"minLength":0,"type":"string","description":"Supplemental information for the address.","uniqueKey":"items.[INDEX].taxAddress.addressLine2","typeLabel":"string"},"city":{"oneOf":[{"maxLength":25,"minLength":2,"type":"string","description":"City.","uniqueKey":"items.[INDEX].taxAddress.city.oneOf.0","typeLabel":"string"},{"maxLength":25,"minLength":2,"type":"null","description":"City.","uniqueKey":"items.[INDEX].taxAddress.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.city","typeLabel":"string | null"},"state":{"oneOf":[{"maxLength":2,"minLength":2,"type":"string","description":"Two-letter state abbreviation.","uniqueKey":"items.[INDEX].taxAddress.state.oneOf.0","typeLabel":"string"},{"maxLength":2,"minLength":2,"type":"null","description":"Two-letter state abbreviation.","uniqueKey":"items.[INDEX].taxAddress.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.state","typeLabel":"string | null"},"postalCode":{"oneOf":[{"maxLength":20,"minLength":2,"type":"string","description":"Postal Code.","uniqueKey":"items.[INDEX].taxAddress.postalCode.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":2,"type":"null","description":"Postal Code.","uniqueKey":"items.[INDEX].taxAddress.postalCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.postalCode","typeLabel":"string | null"},"phoneNumber":{"maxLength":20,"minLength":0,"type":"string","description":"The phone number associated with a payment method that is used for billing purposes.","uniqueKey":"items.[INDEX].taxAddress.phoneNumber","typeLabel":"string"},"email":{"maxLength":100,"minLength":0,"type":"string","description":"The email associated with a billing address.","format":"email","uniqueKey":"items.[INDEX].taxAddress.email","typeLabel":"string\u003cemail>"},"country":{"oneOf":[{"maxLength":2,"minLength":2,"type":"string","description":"Country.","uniqueKey":"items.[INDEX].taxAddress.country.oneOf.0","typeLabel":"string"},{"maxLength":2,"minLength":2,"type":"null","description":"Country.","uniqueKey":"items.[INDEX].taxAddress.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.country","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].taxAddress","typeLabel":"object"},"paymentMethodIds":{"oneOf":[{"type":"array","items":{"type":"integer","format":"int64","uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"type":"null","items":{"type":"integer","format":"int64"},"uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].paymentMethodIds","typeLabel":"integer\u003cint64>[] | null"},"cancelledAt":{"oneOf":[{"maxLength":40,"type":"string","format":"date-time","uniqueKey":"items.[INDEX].cancelledAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"maxLength":40,"type":"null","format":"date-time","uniqueKey":"items.[INDEX].cancelledAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].cancelledAt","typeLabel":"string\u003cdate-time> | null"},"billingPlans":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"subscriptionBillingPlanId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].subscriptionBillingPlanId","typeLabel":"integer\u003cint64>"},"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].subscriptionId","typeLabel":"integer\u003cint64>"},"name":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name","typeLabel":"string | null"},"value":{"maximum":10000000,"minimum":0,"type":"number","format":"double","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"startDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate","typeLabel":"string | null"},"cyclesRemaining":{"maximum":1000000000,"minimum":0,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].cyclesRemaining","typeLabel":"integer\u003cint32>"},"cycleCount":{"maximum":100,"minimum":-1,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].cycleCount","typeLabel":"integer\u003cint32>"},"valueType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"items.[INDEX].billingPlans.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"subscriptionBillingPlanId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64"},"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64"},"name":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string"},{"maxLength":100,"minLength":0,"type":"null"}]},"value":{"maximum":10000000,"minimum":0,"type":"number","format":"double"},"startDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string"},{"maxLength":20,"minLength":0,"type":"null"}]},"cyclesRemaining":{"maximum":1000000000,"minimum":0,"type":"integer","format":"int32"},"cycleCount":{"maximum":100,"minimum":-1,"type":"integer","format":"int32"},"valueType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string"},{"maxLength":50,"minLength":0,"type":"null"}]}},"additionalProperties":false},"uniqueKey":"items.[INDEX].billingPlans.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans","typeLabel":"object[] | null"},"message":{"oneOf":[{"maxLength":500,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].message.oneOf.0","typeLabel":"string"},{"maxLength":500,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].message.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].message","typeLabel":"string | null"},"paymentProcessor":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].paymentProcessor.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].paymentProcessor.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].paymentProcessor","typeLabel":"string | null"},"processorMerchantId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].processorMerchantId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].processorMerchantId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].processorMerchantId","typeLabel":"string | null"},"processorRawResponse":{"oneOf":[{"maxLength":10000,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].processorRawResponse.oneOf.0","typeLabel":"string"},{"maxLength":10000,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].processorRawResponse.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].processorRawResponse","typeLabel":"string | null"},"currency":{"oneOf":[{"maxLength":3,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"maxLength":3,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].currency","typeLabel":"string | null"},"responseMessage":{"oneOf":[{"maxLength":500,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].responseMessage.oneOf.0","typeLabel":"string"},{"maxLength":500,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].responseMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].responseMessage","typeLabel":"string | null"},"responseCode":{"oneOf":[{"maxLength":10,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].responseCode.oneOf.0","typeLabel":"string"},{"maxLength":10,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].responseCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].responseCode","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"example":{"customerId":1,"merchantCustomerRefId":"1234-5678-9101","firstName":"John","lastName":"Doe","billingAddresses":[],"shippingAddresses":[],"taxAddresses":[],"subscriptions":[]},"examples":{"Example":{"title":"Example","value":{"customerId":1,"merchantCustomerRefId":"1234-5678-9101","firstName":"John","lastName":"Doe","billingAddresses":[],"shippingAddresses":[],"taxAddresses":[],"subscriptions":[]}}},"exampleType":"examples"},"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].subscriptionId","typeLabel":"integer\u003cint64>"},"customerId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].customerId","typeLabel":"integer\u003cint64>"},"merchantSubscriptionRefId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].merchantSubscriptionRefId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].merchantSubscriptionRefId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].merchantSubscriptionRefId","typeLabel":"string | null"},"networkTransactionId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].networkTransactionId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].networkTransactionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].networkTransactionId","typeLabel":"string | null"},"billingIntervalType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingIntervalType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingIntervalType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingIntervalType","typeLabel":"string | null"},"billingIntervalCount":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingIntervalCount","typeLabel":"integer\u003cint32>"},"subscriptionStatusType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].subscriptionStatusType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].subscriptionStatusType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].subscriptionStatusType","typeLabel":"string | null"},"subscriptionCancelType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].subscriptionCancelType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].subscriptionCancelType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].subscriptionCancelType","typeLabel":"string | null"},"initialBillDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].initialBillDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].initialBillDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].initialBillDate","typeLabel":"string | null"},"nextBillDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].nextBillDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].nextBillDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].nextBillDate","typeLabel":"string | null"},"taxAddress":{"type":"object","properties":{"addressId":{"type":"integer","description":"The unique identifier of the address.","format":"int64","uniqueKey":"items.[INDEX].taxAddress.addressId","typeLabel":"integer\u003cint64>"},"addressLine1":{"oneOf":[{"maxLength":40,"minLength":2,"type":"string","description":"Address.","uniqueKey":"items.[INDEX].taxAddress.addressLine1.oneOf.0","typeLabel":"string"},{"maxLength":40,"minLength":2,"type":"null","description":"Address.","uniqueKey":"items.[INDEX].taxAddress.addressLine1.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.addressLine1","typeLabel":"string | null"},"addressLine2":{"maxLength":40,"minLength":0,"type":"string","description":"Supplemental information for the address.","uniqueKey":"items.[INDEX].taxAddress.addressLine2","typeLabel":"string"},"city":{"oneOf":[{"maxLength":25,"minLength":2,"type":"string","description":"City.","uniqueKey":"items.[INDEX].taxAddress.city.oneOf.0","typeLabel":"string"},{"maxLength":25,"minLength":2,"type":"null","description":"City.","uniqueKey":"items.[INDEX].taxAddress.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.city","typeLabel":"string | null"},"state":{"oneOf":[{"maxLength":2,"minLength":2,"type":"string","description":"Two-letter state abbreviation.","uniqueKey":"items.[INDEX].taxAddress.state.oneOf.0","typeLabel":"string"},{"maxLength":2,"minLength":2,"type":"null","description":"Two-letter state abbreviation.","uniqueKey":"items.[INDEX].taxAddress.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.state","typeLabel":"string | null"},"postalCode":{"oneOf":[{"maxLength":20,"minLength":2,"type":"string","description":"Postal Code.","uniqueKey":"items.[INDEX].taxAddress.postalCode.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":2,"type":"null","description":"Postal Code.","uniqueKey":"items.[INDEX].taxAddress.postalCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.postalCode","typeLabel":"string | null"},"phoneNumber":{"maxLength":20,"minLength":0,"type":"string","description":"The phone number associated with a payment method that is used for billing purposes.","uniqueKey":"items.[INDEX].taxAddress.phoneNumber","typeLabel":"string"},"email":{"maxLength":100,"minLength":0,"type":"string","description":"The email associated with a billing address.","format":"email","uniqueKey":"items.[INDEX].taxAddress.email","typeLabel":"string\u003cemail>"},"country":{"oneOf":[{"maxLength":2,"minLength":2,"type":"string","description":"Country.","uniqueKey":"items.[INDEX].taxAddress.country.oneOf.0","typeLabel":"string"},{"maxLength":2,"minLength":2,"type":"null","description":"Country.","uniqueKey":"items.[INDEX].taxAddress.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.country","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].taxAddress","typeLabel":"object"},"paymentMethodIds":{"oneOf":[{"type":"array","items":{"type":"integer","format":"int64","uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"type":"null","items":{"type":"integer","format":"int64"},"uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].paymentMethodIds","typeLabel":"integer\u003cint64>[] | null"},"cancelledAt":{"oneOf":[{"maxLength":40,"type":"string","format":"date-time","uniqueKey":"items.[INDEX].cancelledAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"maxLength":40,"type":"null","format":"date-time","uniqueKey":"items.[INDEX].cancelledAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].cancelledAt","typeLabel":"string\u003cdate-time> | null"},"billingPlans":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"subscriptionBillingPlanId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].subscriptionBillingPlanId","typeLabel":"integer\u003cint64>"},"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].subscriptionId","typeLabel":"integer\u003cint64>"},"name":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name","typeLabel":"string | null"},"value":{"maximum":10000000,"minimum":0,"type":"number","format":"double","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"startDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate","typeLabel":"string | null"},"cyclesRemaining":{"maximum":1000000000,"minimum":0,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].cyclesRemaining","typeLabel":"integer\u003cint32>"},"cycleCount":{"maximum":100,"minimum":-1,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].cycleCount","typeLabel":"integer\u003cint32>"},"valueType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"items.[INDEX].billingPlans.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"subscriptionBillingPlanId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64"},"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64"},"name":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string"},{"maxLength":100,"minLength":0,"type":"null"}]},"value":{"maximum":10000000,"minimum":0,"type":"number","format":"double"},"startDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string"},{"maxLength":20,"minLength":0,"type":"null"}]},"cyclesRemaining":{"maximum":1000000000,"minimum":0,"type":"integer","format":"int32"},"cycleCount":{"maximum":100,"minimum":-1,"type":"integer","format":"int32"},"valueType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string"},{"maxLength":50,"minLength":0,"type":"null"}]}},"additionalProperties":false},"uniqueKey":"items.[INDEX].billingPlans.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans","typeLabel":"object[] | null"},"message":{"oneOf":[{"maxLength":500,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].message.oneOf.0","typeLabel":"string"},{"maxLength":500,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].message.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].message","typeLabel":"string | null"},"paymentProcessor":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].paymentProcessor.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].paymentProcessor.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].paymentProcessor","typeLabel":"string | null"},"processorMerchantId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].processorMerchantId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].processorMerchantId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].processorMerchantId","typeLabel":"string | null"},"processorRawResponse":{"oneOf":[{"maxLength":10000,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].processorRawResponse.oneOf.0","typeLabel":"string"},{"maxLength":10000,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].processorRawResponse.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].processorRawResponse","typeLabel":"string | null"},"currency":{"oneOf":[{"maxLength":3,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"maxLength":3,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].currency","typeLabel":"string | null"},"responseMessage":{"oneOf":[{"maxLength":500,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].responseMessage.oneOf.0","typeLabel":"string"},{"maxLength":500,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].responseMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].responseMessage","typeLabel":"string | null"},"responseCode":{"oneOf":[{"maxLength":10,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].responseCode.oneOf.0","typeLabel":"string"},{"maxLength":10,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].responseCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].responseCode","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"example":{"customerId":1,"merchantCustomerRefId":"1234-5678-9101","firstName":"John","lastName":"Doe","billingAddresses":[],"shippingAddresses":[],"taxAddresses":[],"subscriptions":[]},"examples":{"Example":{"title":"Example","value":{"customerId":1,"merchantCustomerRefId":"1234-5678-9101","firstName":"John","lastName":"Doe","billingAddresses":[],"shippingAddresses":[],"taxAddresses":[],"subscriptions":[]}}},"exampleType":"examples"},"text/json":{"schema":{"type":"array","items":{"type":"object","properties":{"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].subscriptionId","typeLabel":"integer\u003cint64>"},"customerId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].customerId","typeLabel":"integer\u003cint64>"},"merchantSubscriptionRefId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].merchantSubscriptionRefId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].merchantSubscriptionRefId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].merchantSubscriptionRefId","typeLabel":"string | null"},"networkTransactionId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].networkTransactionId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].networkTransactionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].networkTransactionId","typeLabel":"string | null"},"billingIntervalType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingIntervalType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingIntervalType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingIntervalType","typeLabel":"string | null"},"billingIntervalCount":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingIntervalCount","typeLabel":"integer\u003cint32>"},"subscriptionStatusType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].subscriptionStatusType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].subscriptionStatusType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].subscriptionStatusType","typeLabel":"string | null"},"subscriptionCancelType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].subscriptionCancelType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].subscriptionCancelType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].subscriptionCancelType","typeLabel":"string | null"},"initialBillDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].initialBillDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].initialBillDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].initialBillDate","typeLabel":"string | null"},"nextBillDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].nextBillDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].nextBillDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].nextBillDate","typeLabel":"string | null"},"taxAddress":{"type":"object","properties":{"addressId":{"type":"integer","description":"The unique identifier of the address.","format":"int64","uniqueKey":"items.[INDEX].taxAddress.addressId","typeLabel":"integer\u003cint64>"},"addressLine1":{"oneOf":[{"maxLength":40,"minLength":2,"type":"string","description":"Address.","uniqueKey":"items.[INDEX].taxAddress.addressLine1.oneOf.0","typeLabel":"string"},{"maxLength":40,"minLength":2,"type":"null","description":"Address.","uniqueKey":"items.[INDEX].taxAddress.addressLine1.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.addressLine1","typeLabel":"string | null"},"addressLine2":{"maxLength":40,"minLength":0,"type":"string","description":"Supplemental information for the address.","uniqueKey":"items.[INDEX].taxAddress.addressLine2","typeLabel":"string"},"city":{"oneOf":[{"maxLength":25,"minLength":2,"type":"string","description":"City.","uniqueKey":"items.[INDEX].taxAddress.city.oneOf.0","typeLabel":"string"},{"maxLength":25,"minLength":2,"type":"null","description":"City.","uniqueKey":"items.[INDEX].taxAddress.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.city","typeLabel":"string | null"},"state":{"oneOf":[{"maxLength":2,"minLength":2,"type":"string","description":"Two-letter state abbreviation.","uniqueKey":"items.[INDEX].taxAddress.state.oneOf.0","typeLabel":"string"},{"maxLength":2,"minLength":2,"type":"null","description":"Two-letter state abbreviation.","uniqueKey":"items.[INDEX].taxAddress.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.state","typeLabel":"string | null"},"postalCode":{"oneOf":[{"maxLength":20,"minLength":2,"type":"string","description":"Postal Code.","uniqueKey":"items.[INDEX].taxAddress.postalCode.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":2,"type":"null","description":"Postal Code.","uniqueKey":"items.[INDEX].taxAddress.postalCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.postalCode","typeLabel":"string | null"},"phoneNumber":{"maxLength":20,"minLength":0,"type":"string","description":"The phone number associated with a payment method that is used for billing purposes.","uniqueKey":"items.[INDEX].taxAddress.phoneNumber","typeLabel":"string"},"email":{"maxLength":100,"minLength":0,"type":"string","description":"The email associated with a billing address.","format":"email","uniqueKey":"items.[INDEX].taxAddress.email","typeLabel":"string\u003cemail>"},"country":{"oneOf":[{"maxLength":2,"minLength":2,"type":"string","description":"Country.","uniqueKey":"items.[INDEX].taxAddress.country.oneOf.0","typeLabel":"string"},{"maxLength":2,"minLength":2,"type":"null","description":"Country.","uniqueKey":"items.[INDEX].taxAddress.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].taxAddress.country","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].taxAddress","typeLabel":"object"},"paymentMethodIds":{"oneOf":[{"type":"array","items":{"type":"integer","format":"int64","uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"type":"null","items":{"type":"integer","format":"int64"},"uniqueKey":"items.[INDEX].paymentMethodIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].paymentMethodIds","typeLabel":"integer\u003cint64>[] | null"},"cancelledAt":{"oneOf":[{"maxLength":40,"type":"string","format":"date-time","uniqueKey":"items.[INDEX].cancelledAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"maxLength":40,"type":"null","format":"date-time","uniqueKey":"items.[INDEX].cancelledAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].cancelledAt","typeLabel":"string\u003cdate-time> | null"},"billingPlans":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"subscriptionBillingPlanId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].subscriptionBillingPlanId","typeLabel":"integer\u003cint64>"},"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].subscriptionId","typeLabel":"integer\u003cint64>"},"name":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].name","typeLabel":"string | null"},"value":{"maximum":10000000,"minimum":0,"type":"number","format":"double","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"startDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate.oneOf.0","typeLabel":"string"},{"maxLength":20,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].startDate","typeLabel":"string | null"},"cyclesRemaining":{"maximum":1000000000,"minimum":0,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].cyclesRemaining","typeLabel":"integer\u003cint32>"},"cycleCount":{"maximum":100,"minimum":-1,"type":"integer","format":"int32","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].cycleCount","typeLabel":"integer\u003cint32>"},"valueType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType.oneOf.0","typeLabel":"string"},{"maxLength":50,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX].valueType","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX].billingPlans.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"items.[INDEX].billingPlans.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"subscriptionBillingPlanId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64"},"subscriptionId":{"maximum":1000000000,"minimum":1,"type":"integer","format":"int64"},"name":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string"},{"maxLength":100,"minLength":0,"type":"null"}]},"value":{"maximum":10000000,"minimum":0,"type":"number","format":"double"},"startDate":{"oneOf":[{"maxLength":20,"minLength":0,"type":"string"},{"maxLength":20,"minLength":0,"type":"null"}]},"cyclesRemaining":{"maximum":1000000000,"minimum":0,"type":"integer","format":"int32"},"cycleCount":{"maximum":100,"minimum":-1,"type":"integer","format":"int32"},"valueType":{"oneOf":[{"maxLength":50,"minLength":0,"type":"string"},{"maxLength":50,"minLength":0,"type":"null"}]}},"additionalProperties":false},"uniqueKey":"items.[INDEX].billingPlans.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].billingPlans","typeLabel":"object[] | null"},"message":{"oneOf":[{"maxLength":500,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].message.oneOf.0","typeLabel":"string"},{"maxLength":500,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].message.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].message","typeLabel":"string | null"},"paymentProcessor":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].paymentProcessor.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].paymentProcessor.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].paymentProcessor","typeLabel":"string | null"},"processorMerchantId":{"oneOf":[{"maxLength":100,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].processorMerchantId.oneOf.0","typeLabel":"string"},{"maxLength":100,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].processorMerchantId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].processorMerchantId","typeLabel":"string | null"},"processorRawResponse":{"oneOf":[{"maxLength":10000,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].processorRawResponse.oneOf.0","typeLabel":"string"},{"maxLength":10000,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].processorRawResponse.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].processorRawResponse","typeLabel":"string | null"},"currency":{"oneOf":[{"maxLength":3,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"maxLength":3,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].currency","typeLabel":"string | null"},"responseMessage":{"oneOf":[{"maxLength":500,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].responseMessage.oneOf.0","typeLabel":"string"},{"maxLength":500,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].responseMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].responseMessage","typeLabel":"string | null"},"responseCode":{"oneOf":[{"maxLength":10,"minLength":0,"type":"string","uniqueKey":"items.[INDEX].responseCode.oneOf.0","typeLabel":"string"},{"maxLength":10,"minLength":0,"type":"null","uniqueKey":"items.[INDEX].responseCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].responseCode","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"example":{"customerId":1,"merchantCustomerRefId":"1234-5678-9101","firstName":"John","lastName":"Doe","billingAddresses":[],"shippingAddresses":[],"taxAddresses":[],"subscriptions":[]},"examples":{"Example":{"title":"Example","value":{"customerId":1,"merchantCustomerRefId":"1234-5678-9101","firstName":"John","lastName":"Doe","billingAddresses":[],"shippingAddresses":[],"taxAddresses":[],"subscriptions":[]}}},"exampleType":"examples"}},"exampleType":"examples"},"141a3b5a-dc1e-468c-a170-e7e5cd73f3b9":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.1","typeLabel":"null"}],"uniqueKey":"message","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"string[] | null"},"fluentValidatorErrors":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName","typeLabel":"string | null"},"errorMessage":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage","typeLabel":"string | null"},"attemptedValue":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue","typeLabel":"null"},"customState":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState","typeLabel":"null"},"severity":{"enum":["Error","Warning","Info"],"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].severity","typeLabel":"enum\u003cstring>"},"errorCode":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode","typeLabel":"string | null"},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"fluentValidatorErrors.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string"},{"type":"null"}]},"errorMessage":{"oneOf":[{"type":"string"},{"type":"null"}]},"attemptedValue":{"oneOf":[{},{"type":"null"}]},"customState":{"oneOf":[{},{"type":"null"}]},"severity":{"enum":["Error","Warning","Info"],"type":"string"},"errorCode":{"oneOf":[{"type":"string"},{"type":"null"}]},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null"}]}},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null"}]}}]}},"additionalProperties":false},"uniqueKey":"fluentValidatorErrors.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors","typeLabel":"object[] | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"message":"Attempted to perform an unauthorized operation."},"examples":{"Example":{"title":"Example","value":{"message":"Attempted to perform an unauthorized operation."}}},"exampleType":"examples"},"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.1","typeLabel":"null"}],"uniqueKey":"message","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"string[] | null"},"fluentValidatorErrors":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName","typeLabel":"string | null"},"errorMessage":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage","typeLabel":"string | null"},"attemptedValue":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue","typeLabel":"null"},"customState":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState","typeLabel":"null"},"severity":{"enum":["Error","Warning","Info"],"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].severity","typeLabel":"enum\u003cstring>"},"errorCode":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode","typeLabel":"string | null"},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"fluentValidatorErrors.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string"},{"type":"null"}]},"errorMessage":{"oneOf":[{"type":"string"},{"type":"null"}]},"attemptedValue":{"oneOf":[{},{"type":"null"}]},"customState":{"oneOf":[{},{"type":"null"}]},"severity":{"enum":["Error","Warning","Info"],"type":"string"},"errorCode":{"oneOf":[{"type":"string"},{"type":"null"}]},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null"}]}},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null"}]}}]}},"additionalProperties":false},"uniqueKey":"fluentValidatorErrors.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors","typeLabel":"object[] | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"message":"Attempted to perform an unauthorized operation."},"examples":{"Example":{"title":"Example","value":{"message":"Attempted to perform an unauthorized operation."}}},"exampleType":"examples"},"text/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.1","typeLabel":"null"}],"uniqueKey":"message","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"string[] | null"},"fluentValidatorErrors":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName","typeLabel":"string | null"},"errorMessage":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage","typeLabel":"string | null"},"attemptedValue":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue","typeLabel":"null"},"customState":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState","typeLabel":"null"},"severity":{"enum":["Error","Warning","Info"],"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].severity","typeLabel":"enum\u003cstring>"},"errorCode":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode","typeLabel":"string | null"},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"fluentValidatorErrors.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string"},{"type":"null"}]},"errorMessage":{"oneOf":[{"type":"string"},{"type":"null"}]},"attemptedValue":{"oneOf":[{},{"type":"null"}]},"customState":{"oneOf":[{},{"type":"null"}]},"severity":{"enum":["Error","Warning","Info"],"type":"string"},"errorCode":{"oneOf":[{"type":"string"},{"type":"null"}]},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null"}]}},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null"}]}}]}},"additionalProperties":false},"uniqueKey":"fluentValidatorErrors.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors","typeLabel":"object[] | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"message":"Attempted to perform an unauthorized operation."},"examples":{"Example":{"title":"Example","value":{"message":"Attempted to perform an unauthorized operation."}}},"exampleType":"examples"}},"exampleType":"examples"},"7be3498a-caba-4718-b11c-76555fc7830f":{"description":"If the customer ID or address ID cannot be associated with a corresponding active entity","content":{"text/plain":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.1","typeLabel":"null"}],"uniqueKey":"message","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"string[] | null"},"fluentValidatorErrors":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName","typeLabel":"string | null"},"errorMessage":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage","typeLabel":"string | null"},"attemptedValue":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue","typeLabel":"null"},"customState":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState","typeLabel":"null"},"severity":{"enum":["Error","Warning","Info"],"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].severity","typeLabel":"enum\u003cstring>"},"errorCode":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode","typeLabel":"string | null"},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"fluentValidatorErrors.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string"},{"type":"null"}]},"errorMessage":{"oneOf":[{"type":"string"},{"type":"null"}]},"attemptedValue":{"oneOf":[{},{"type":"null"}]},"customState":{"oneOf":[{},{"type":"null"}]},"severity":{"enum":["Error","Warning","Info"],"type":"string"},"errorCode":{"oneOf":[{"type":"string"},{"type":"null"}]},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null"}]}},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null"}]}}]}},"additionalProperties":false},"uniqueKey":"fluentValidatorErrors.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors","typeLabel":"object[] | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"message":"Unable to find an entity with the provided data."},"examples":{"Example":{"title":"Example","value":{"message":"Unable to find an entity with the provided data."}}},"exampleType":"examples"},"application/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.1","typeLabel":"null"}],"uniqueKey":"message","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"string[] | null"},"fluentValidatorErrors":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName","typeLabel":"string | null"},"errorMessage":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage","typeLabel":"string | null"},"attemptedValue":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue","typeLabel":"null"},"customState":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState","typeLabel":"null"},"severity":{"enum":["Error","Warning","Info"],"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].severity","typeLabel":"enum\u003cstring>"},"errorCode":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode","typeLabel":"string | null"},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"fluentValidatorErrors.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string"},{"type":"null"}]},"errorMessage":{"oneOf":[{"type":"string"},{"type":"null"}]},"attemptedValue":{"oneOf":[{},{"type":"null"}]},"customState":{"oneOf":[{},{"type":"null"}]},"severity":{"enum":["Error","Warning","Info"],"type":"string"},"errorCode":{"oneOf":[{"type":"string"},{"type":"null"}]},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null"}]}},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null"}]}}]}},"additionalProperties":false},"uniqueKey":"fluentValidatorErrors.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors","typeLabel":"object[] | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"message":"Unable to find an entity with the provided data."},"examples":{"Example":{"title":"Example","value":{"message":"Unable to find an entity with the provided data."}}},"exampleType":"examples"},"text/json":{"schema":{"type":"object","properties":{"message":{"oneOf":[{"type":"string","uniqueKey":"message.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"message.oneOf.1","typeLabel":"null"}],"uniqueKey":"message","typeLabel":"string | null"},"errors":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"string[] | null"},"fluentValidatorErrors":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].propertyName","typeLabel":"string | null"},"errorMessage":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorMessage","typeLabel":"string | null"},"attemptedValue":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].attemptedValue","typeLabel":"null"},"customState":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].customState","typeLabel":"null"},"severity":{"enum":["Error","Warning","Info"],"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].severity","typeLabel":"enum\u003cstring>"},"errorCode":{"oneOf":[{"type":"string","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].errorCode","typeLabel":"string | null"},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1.additionalProperties","typeLabel":"null"},"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX].formattedMessagePlaceholderValues","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"fluentValidatorErrors.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"fluentValidatorErrors.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"propertyName":{"oneOf":[{"type":"string"},{"type":"null"}]},"errorMessage":{"oneOf":[{"type":"string"},{"type":"null"}]},"attemptedValue":{"oneOf":[{},{"type":"null"}]},"customState":{"oneOf":[{},{"type":"null"}]},"severity":{"enum":["Error","Warning","Info"],"type":"string"},"errorCode":{"oneOf":[{"type":"string"},{"type":"null"}]},"formattedMessagePlaceholderValues":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null"}]}},{"type":"null","additionalProperties":{"oneOf":[{},{"type":"null"}]}}]}},"additionalProperties":false},"uniqueKey":"fluentValidatorErrors.oneOf.1","typeLabel":"null"}],"uniqueKey":"fluentValidatorErrors","typeLabel":"object[] | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"example":{"message":"Unable to find an entity with the provided data."},"examples":{"Example":{"title":"Example","value":{"message":"Unable to find an entity with the provided data."}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"42dea2c2-2e5f-437b-8e24-f4101c9318dd":{"XRevolv3Token":{"type":"apiKey","in":"header","name":"x-revolv3-token","scopes":[],"schemeName":"XRevolv3Token"}}},"servers":{"334e6eb5-634d-46b6-90d2-b0f4797cf87a":{"url":"https://api-sandbox.revolv3.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-revolv3-token","scopes":[],"schemeName":"XRevolv3Token"},"schema":{"title":"x-revolv3-token","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"XRevolv3Token","name":"x-revolv3-token"}],"title":"XRevolv3Token"}]},"originalFileLocation":"api-reference/swagger.json"},"subdomain":"revolv3","siteName":"Introduction \u0026 Quick Start","title":"Delete Customer Address - Introduction \u0026 Quick Start","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-13T22:34:17.755Z","originalFileLocation":"api-reference/customers/delete-customer-address.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Removes a saved billing or shipping address associated with a specific customer profile. This is typically used when a customer no longer uses a particular address or wishes to replace it. Only the specified address is removed — the customer profile and other addresses (if any) remain intact.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Introduction \u0026amp; Quick Start\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Delete Customer Address - Introduction \u0026amp; Quick Start\">\u003cmeta data-mint-head property=\"og:description\" content=\"Removes a saved billing or shipping address associated with a specific customer profile. This is typically used when a customer no longer uses a particular address or wishes to replace it. Only the specified address is removed — the customer profile and other addresses (if any) remain intact.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Introduction \u0026amp; Quick Start\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.revolv3.com/api-reference/customers/delete-customer-address\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://revolv3.mintlify.app/_mintlify/api/og/v2?division=Customers\u0026amp;title=Delete+Customer+Address\u0026amp;description=Removes+a+**saved+billing+or+shipping+address**+associated+with+a+specific+customer+profile.%0D%0AThis+is+typically+used+when+a+customer+no+longer+uses+a+particular\u0026amp;theme=44ecc26a32f1a478fe3476c2\u0026amp;signature=97330cd41316f917095270ff688dcacd20f115ae14ba758a532e369ec35dc56d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Delete Customer Address - Introduction \u0026amp; Quick Start\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Removes a saved billing or shipping address associated with a specific customer profile. This is typically used when a customer no longer uses a particular address or wishes to replace it. Only the specified address is removed — the customer profile and other addresses (if any) remain intact.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://revolv3.mintlify.app/_mintlify/api/og/v2?division=Customers\u0026amp;title=Delete+Customer+Address\u0026amp;description=Removes+a+**saved+billing+or+shipping+address**+associated+with+a+specific+customer+profile.%0D%0AThis+is+typically+used+when+a+customer+no+longer+uses+a+particular\u0026amp;theme=44ecc26a32f1a478fe3476c2\u0026amp;signature=97330cd41316f917095270ff688dcacd20f115ae14ba758a532e369ec35dc56d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/revolv3/SEFZpst3yZfiH2vQ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Introduction \u0026amp; Quick Start\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0070e0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.revolv3.com/api-reference/customers/delete-customer-address\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/customers/delete-customer-address.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.revolv3.com/#organization\",\"name\":\"Introduction \u0026 Quick Start\",\"url\":\"https://docs.revolv3.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/revolv3/Zevkr_Aqagg8mPcq/logo/normallogo.png?fit=max\u0026auto=format\u0026n=Zevkr_Aqagg8mPcq\u0026q=85\u0026s=fd4c62503540a031e3c6c968fad23f13\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.revolv3.com#website\",\"name\":\"Introduction \u0026 Quick Start\",\"url\":\"https://docs.revolv3.com\",\"publisher\":{\"@id\":\"https://docs.revolv3.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address#webpage\",\"url\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address\",\"name\":\"Delete Customer Address\",\"description\":\"Removes a saved billing or shipping address associated with a specific customer profile. This is typically used when a customer no longer uses a particular address or wishes to replace it. Only the specified address is removed — the customer profile and other addresses (if any) remain intact.\",\"dateModified\":\"2026-10-13T22:34:17.755Z\",\"isPartOf\":{\"@id\":\"https://docs.revolv3.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Customers\",\"item\":\"https://docs.revolv3.com/api-reference/customers/get-customers\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Delete Customer Address\",\"item\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address#apireference\",\"headline\":\"Delete Customer Address\",\"name\":\"Delete Customer Address\",\"description\":\"Removes a saved billing or shipping address associated with a specific customer profile. This is typically used when a customer no longer uses a particular address or wishes to replace it. Only the specified address is removed — the customer profile and other addresses (if any) remain intact.\",\"url\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address\",\"mainEntityOfPage\":{\"@id\":\"https://docs.revolv3.com/api-reference/customers/delete-customer-address#webpage\"},\"dateModified\":\"2026-10-13T22:34:17.755Z\",\"publisher\":{\"@id\":\"https://docs.revolv3.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.revolv3.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Introduction \u0026 Quick Start\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Introduction \u0026 Quick Start","nav":{"global":null,"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/getting-started/getting-started"}]},{"tab":"API Reference","groups":[{"group":"AccountVerification","pages":[{"title":"Validate personal ACH account","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/account-verification/ach/person","href":"/api-reference/accountverification/validate-personal-ach-account"},{"title":"Validate corporate ACH account","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/account-verification/ach/corporate","href":"/api-reference/accountverification/validate-corporate-ach-account"}]},{"group":"Authentication","pages":[{"title":"Get Merchant Access Token","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Authentication/token","href":"/api-reference/authentication/get-merchant-access-token"}]},{"group":"Checkout","pages":[{"title":"Create Checkout Link","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Checkout","href":"/api-reference/checkout/create-checkout-link"},{"title":"Get Complete Checkout Information","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Checkout/{checkoutUid}","href":"/api-reference/checkout/get-complete-checkout-information"}]},{"group":"Customers","pages":[{"title":"Get Customers","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Customers","href":"/api-reference/customers/get-customers"},{"title":"Create Customer","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Customers","href":"/api-reference/customers/create-customer"},{"title":"Get Customer","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Customers/{customerId}","href":"/api-reference/customers/get-customer"},{"title":"Delete Customer","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json delete /api/Customers/{customerId}","href":"/api-reference/customers/delete-customer"},{"title":"Update Customer","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json patch /api/Customers/{customerId}","href":"/api-reference/customers/update-customer"},{"title":"Get Subscriptions by Customer","description":"Retrieves a **list of all subscriptions** linked to a specific customer, identified by their Customer ID.\r\nThis includes active, or cancelled subscriptions — each with details such as billing plan, billing cycle, status, and payment method.\r\n\r\nThe endpoint is typically used to display a customer's subscription history, manage their recurring payments, or determine eligibility for changes (e.g., upgrade, cancellation).","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Customers/{customerId}/subscriptions","href":"/api-reference/customers/get-subscriptions-by-customer"},{"title":"Delete Customer Address","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json delete /api/Customers/{customerId}/address/{addressId}","href":"/api-reference/customers/delete-customer-address"},{"title":"Update Address","description":"Updates the **details of an existing customer address**, such as street, city, postal code, or country.\r\nOnly the fields provided in the request will be updated — others will remain unchanged.\r\n\r\nThis endpoint is commonly used when a customer changes residence, corrects an error in their address, or updates billing information for compliance or tax purposes.","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json patch /api/Customers/{customerId}/address/{addressId}","href":"/api-reference/customers/update-address"},{"title":"Add Customer Address","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Customers/{customerId}/address","href":"/api-reference/customers/add-customer-address"},{"title":"Search Invoices for Customer","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Customers/{customerId}/invoices","href":"/api-reference/customers/search-invoices-for-customer"}]},{"group":"Invoices","pages":[{"title":"Get Invoices","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Invoices","href":"/api-reference/invoices/get-invoices"},{"title":"Get Invoices V1","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Invoices/v{version}","href":"/api-reference/invoices/get-invoices-v1"},{"title":"Get Invoice","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Invoices/{invoiceId}","href":"/api-reference/invoices/get-invoice"},{"title":"Refund Invoice","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Invoices/{invoiceId}/refund","href":"/api-reference/invoices/refund-invoice"},{"title":"One Time Payment Without Subscription","deprecated":true,"version":null,"openapi":"/api-reference/swagger.json post /api/Invoices/payment","href":"/api-reference/invoices/one-time-payment-without-subscription"}]},{"group":"PaymentMethod","pages":[{"title":"Create Payment Method","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/PaymentMethod","href":"/api-reference/paymentmethod/create-payment-method"},{"title":"Get Payment Method","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/PaymentMethod/{paymentMethodId}","href":"/api-reference/paymentmethod/get-payment-method"},{"title":"Delete Payment Method","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json delete /api/PaymentMethod/{paymentMethodId}","href":"/api-reference/paymentmethod/delete-payment-method"},{"title":"Update Payment Method","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json patch /api/PaymentMethod/{paymentMethodId}","href":"/api-reference/paymentmethod/update-payment-method"},{"title":"Authorize Payment Method","deprecated":true,"version":null,"openapi":"/api-reference/swagger.json post /api/PaymentMethod/authorize","href":"/api-reference/paymentmethod/authorize-payment-method"},{"title":"Reverse Authorization","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/PaymentMethod/reverse-auth","href":"/api-reference/paymentmethod/reverse-authorization"}]},{"group":"Payments","pages":[{"title":"Sale With Payment Method Details","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Payments/sale","href":"/api-reference/payments/sale-with-payment-method-details"},{"title":"Sale With Payment Method Id","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Payments/sale/{paymentMethodId}","href":"/api-reference/payments/sale-with-payment-method-id"},{"title":"Capture","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Payments/capture/{paymentMethodAuthorizationId}","href":"/api-reference/payments/capture"},{"title":"Authorize With Payment Method Details","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Payments/authorization","href":"/api-reference/payments/authorize-with-payment-method-details"},{"title":"Authorize With Payment Method Id","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Payments/authorization/{paymentMethodId}","href":"/api-reference/payments/authorize-with-payment-method-id"},{"title":"Void","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Payments/void/{invoiceId}","href":"/api-reference/payments/void"}]},{"group":"Subscriptions","pages":[{"title":"Get Subscriptions","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Subscriptions","href":"/api-reference/subscriptions/get-subscriptions"},{"title":"Create Subscription","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Subscriptions","href":"/api-reference/subscriptions/create-subscription"},{"title":"Get Subscription","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json get /api/Subscriptions/{subscriptionId}","href":"/api-reference/subscriptions/get-subscription"},{"title":"Update Subscription","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json patch /api/Subscriptions/{subscriptionId}","href":"/api-reference/subscriptions/update-subscription"},{"title":"Get Subscriptions By PAN","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Subscriptions/pan-lookup","href":"/api-reference/subscriptions/get-subscriptions-by-pan"},{"title":"Replace Subscription Primary Payment Method","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json put /api/Subscriptions/{subscriptionId}/payment-method","href":"/api-reference/subscriptions/replace-subscription-primary-payment-method"},{"title":"Create Subscription Billing Plan","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Subscriptions/{subscriptionId}/billing-plans","href":"/api-reference/subscriptions/create-subscription-billing-plan"},{"title":"Delete Subscription Billing Plan","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json delete /api/Subscriptions/{subscriptionId}/billing-plans/{subscriptionBillingPlanId}","href":"/api-reference/subscriptions/delete-subscription-billing-plan"},{"title":"Create One Time Payment","deprecated":true,"version":null,"openapi":"/api-reference/swagger.json post /api/Subscriptions/{subscriptionId}/payment","href":"/api-reference/subscriptions/create-one-time-payment"},{"title":"Cancel Subscription","deprecated":null,"version":null,"openapi":"/api-reference/swagger.json post /api/Subscriptions/{subscriptionId}/cancel","href":"/api-reference/subscriptions/cancel-subscription"}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]}]},"basePath":"","title":"Delete Customer Address - Introduction \u0026 Quick Start","buildId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","deploymentId":"dpl_77Hw7ZuAABM8E3WMbYAf2ohQCr3v","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CVpqyvFO.js","utils-vpweLD0v.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BIOodqb0.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B1LM3qmu.js","snippetPresets-C5xK0GtN.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CCsxLnQl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C2-WKG22.js","shallow-SdoLUC-q.js","getApiPlaygroundDisplay-BnI8L2hB.js","CodeSnippet-D5M8NCHI.js","CodeSnippets-CXRO8Uom.js","Page-CN9QbZiA.js","getPastedJson-CrfHEdRt.js","icon-Cr8AyUnW.js","MethodPill-J_Cs0kNw.js","DuplicateIcon-DrMboxGw.js","createIcon-B4CIWVbU.js","DynamicMarkdown-D9cdbgj9.js","SectionHeading-BO4CouT0.js","axios-vUo_bRtp.js","Markdown-L1m1-PSi.js","clsx-rIpTdK8h.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-ptfS1uB_.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-D31Sm3f9.js"]}